Bug 832781 - [abrt] lxpolkit-0.1.0-3.fc17: standard_calloc: Process /usr/libexec/lxpolkit was killed by signal 11 (SIGSEGV)
[abrt] lxpolkit-0.1.0-3.fc17: standard_calloc: Process /usr/libexec/lxpolkit ...
Status: CLOSED DUPLICATE of bug 1114176
Product: Fedora
Classification: Fedora
Component: lxpolkit (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:6f7786333f915ee3893ff6debfc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 07:06 EDT by Micha Wali
Modified: 2015-01-13 09:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 09:14:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (73.03 KB, text/plain)
2012-06-17 07:06 EDT, Micha Wali
no flags Details
File: maps (15.25 KB, text/plain)
2012-06-17 07:06 EDT, Micha Wali
no flags Details
File: dso_list (5.19 KB, text/plain)
2012-06-17 07:06 EDT, Micha Wali
no flags Details

  None (edit)
Description Micha Wali 2012-06-17 07:06:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/lxpolkit
comment:        simply log in to lxde
crash_function: standard_calloc
executable:     /usr/libexec/lxpolkit
kernel:         3.5.0-0.rc2.git0.3.fc18.i686.PAE
pid:            1056
pwd:            /home/micha
time:           Sun 17 Jun 2012 12:45:49 PM CEST
uid:            1000
username:       micha

backtrace:      Text file, 74786 bytes
dso_list:       Text file, 5316 bytes
maps:           Text file, 15617 bytes

build_ids:
:5ca80113e5d8033b70731fe740d657a43b8d7f50
:9aea670864d2a34a222fd110376f7946b702de7c
:e3e73c6c8b25944a1da425789f484e2b1dcf39fe
:d9d1578cd84588073d3a06891312ecbc424e5949
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:e8628163315458179ef9afb2f0276e5c5b331548
:e361d0c239599f4fa62616138aeb9c48b906beb6
:f00a93d4d325e3e9cfae61aa3503e9fe9fc6b0f4
:8ab25f963754146c6658fd77353fd933dad41871
:a310497a34b12f3c902d6025df02614a80c1a120
:39073d507671eb3da1d5f1ca2dcea0505ab9de2c
:78ab29084cd8034872183c100ac7b702f475bb05
:6b4640d7885a7dc20d8b1e544d2926dbcd618bf8
:c48bdbb2542d5d7ce5b081f57915ca6164dd70b5
:fad91ac353e3532099b38d4dffada3e91cf97fa3
:b50d7b0d716287faa6baeff66cc87811417cd5d9
:c8fa5c94968e9cc3351c6f4be3549ddba978a10f
:cb4e750cc2dba0cbf2afe593505de5bb5a0d7f98
:0e18c2977fca8d209a6849c09fa152a91ae7ee24
:76bb71170fff6edbf6c64a4c661260514de19ccf
:4723ea68ac0f3366ffaefee6b60b82b1aa2ea5e4
:ee42795e39a388a064bf80654cfaef519cda6cdf
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:37b98eef7ee7134f5a23109ae784377b6f9a8c7f
:5cc3f58ef0b8996d8177e0bf606ac90f2cc0c5c5
:232cba88774a561656a6bfb84ec61b58e34830fd
:b23528225afda503f6a6e5845b0249a4ddacaecc
:c1dde95c14994f539751e8369f82e27248f004a0
:a70480bf6f4d9635c147700c3ae8baa0a0776a7d
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:b4bc0571632a0e550daee8fe620efda161655aa4
:a1f0f9970c2e07c480454811e5233e410dd83bc8
:31e015d86535dcb896f09536b7f8ce53b684d4be
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:b4d9d37818505492455cd528880fae637dbae5ff
:4e791c187afc1cc71d7089b9efb734667074483c
:a7f595d7924c524ce1a5398f3008a78fe181b142
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:ba5461c0286bb6d78b0c01c5009cea9eebb215b8
:214fab137190dbf1a4bdaf5d2d402abbd47f3caa
:7129827707aad65032ba5825d029884e11f480ab
:d9019eb44f3ebe500b6a4868684d13573cc4e3a6
:870a47b6883f8d3d4e141ea0960f9df103464ec5
:616ec5c61dbf92e38bfefe62e6e7b02ea203bb5f
:08041fc48e93eaa6cc2138c4dc31ebe3873cda54
:2db83a4c3dc4ba607b77e73639ac847081193f8c
:9bdcf315fa0620ab6db8bd941f3ba5a46dc90fa4
:1de25b6db556e9f5f48a88fb80e6149e44ba4ecf
:af169eb430392e159f50946f2d1ac223aa978347
:077c029b4436314676b7bb79d86c403dcf03a83b
:0730bb93d67b3de29816aa398e6c44dd765af297
:e94bbb7ae0cf2d990e5448762a4c971cc186f669
:23d9eb55c5f8871da58bc489dd59ab96a910f4b1
:d7380d07edceeb6f418ab676a3885718e3971efc
:083375bdf458b9873c10acec1fd3626e03f10d4c
:00905955dc649bd6f80ecef1430627c28781d270
:b23f7b89bf3bebd443fa7cfdfa98b6e00c0f8d33
:68e530ee9a35b305e82b24b4561533a772be330c
:a322ba946b3c03d685b205e770a423a9955e2922
:15d3e75fc9f528ad83ec371139253c06f936c2df

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/micha/1

core_backtrace:
:08041fc48e93eaa6cc2138c4dc31ebe3873cda54 0x773af _int_malloc libc.so.6 -
:08041fc48e93eaa6cc2138c4dc31ebe3873cda54 0x7a782 calloc libc.so.6 -
:c1dde95c14994f539751e8369f82e27248f004a0 0x4cc84 - libglib-2.0.so.0 -
:c1dde95c14994f539751e8369f82e27248f004a0 0x4d3ca g_malloc0 libglib-2.0.so.0 -
:8ab25f963754146c6658fd77353fd933dad41871 0x2aa99 - libgobject-2.0.so.0 -
:8ab25f963754146c6658fd77353fd933dad41871 0x2f92d g_type_register_static libgobject-2.0.so.0 -
:5ca80113e5d8033b70731fe740d657a43b8d7f50 0x2a459c gtk_widget_get_type libgtk-x11-2.0.so.0 -
:5ca80113e5d8033b70731fe740d657a43b8d7f50 0xafd33 gtk_container_get_type libgtk-x11-2.0.so.0 -
:5ca80113e5d8033b70731fe740d657a43b8d7f50 0x6df6f gtk_bin_get_type libgtk-x11-2.0.so.0 -
:5ca80113e5d8033b70731fe740d657a43b8d7f50 0x2b8c4f gtk_window_get_type libgtk-x11-2.0.so.0 -
:5ca80113e5d8033b70731fe740d657a43b8d7f50 0xb581f gtk_dialog_get_type libgtk-x11-2.0.so.0 -
:5ca80113e5d8033b70731fe740d657a43b8d7f50 0x16cc4f gtk_message_dialog_get_type libgtk-x11-2.0.so.0 -
:5ca80113e5d8033b70731fe740d657a43b8d7f50 0x16d655 gtk_message_dialog_new libgtk-x11-2.0.so.0 -
:1de25b6db556e9f5f48a88fb80e6149e44ba4ecf 0x1982 - [exe] -
:1de25b6db556e9f5f48a88fb80e6149e44ba4ecf 0x1834 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=lea
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:SYSFONT=True
:IMSETTINGS_MODULE=none
:USER=micha
:DESKTOP_SESSION=LXDE
:PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/micha/.local/bin:/home/micha/bin
:MAIL=/var/spool/mail/micha
:QT_IM_MODULE=xim
:DRACUT_QUIET=yes
:PWD=/home/micha
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:KEYTABLE=de
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/micha
:SHLVL=1
:XDG_CONFIG_HOME=/home/micha/.config
:BOOT_IMAGE=/boot/vmlinuz-3.5.0-0.rc2.git0.3.fc18.i686.PAE
:LOGNAME=micha
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-A07Yw6uinb,guid=e98f65988d8c05f2ef649acf4fddb53b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/micha
:DISPLAY=:0
:XAUTHORITY=/home/micha/.Xauthority
:_LXSESSION_PID=862
:XDG_CURRENT_DESKTOP=LXDE

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7820                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7820                 7820                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/home/micha/.xsession-errors
:pos:	6182
:flags:	01
:3:socket:[17304]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 02668eae-b7cb-4129-b494-4c3b89e140da
:OS: Fedora release 18 (Rawhide)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3199.34
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 Mobile CPU 1.60GHz
:CPU Stepping: 4
:CPU Family: 15
:CPU Model Num: 2
:Number of CPUs: 1
:CPU Speed: 1600
:System Memory: 995
:System Swap: 2002
:Vendor: IBM
:System: 2658DCG Not Available
:Form factor: Notebook
:Kernel: 3.5.0-0.rc2.git0.3.fc18.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4172:44112:4116:1313) pci, yenta_cardbus, PCI/CARDBUS, PCI1410 PC card Cardbus Controller
:(32902:9347:4116:1313) pci, i801_smbus, SERIAL, 82801CA/CAM SMBus Controller
:(32902:9354:4116:1313) pci, ata_piix, STORAGE, 82801CAM IDE U100 Controller
:(32902:9356:0:0) pci, lpc_ich, PCI/ISA, 82801CAM ISA Bridge (LPC)
:(32902:9350:4116:1310) pci, snd_intel8x0m, SIMPLE, 82801CA/CAM AC'97 Modem Controller
:(32902:9349:4116:1311) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801CA/CAM AC'97 Audio Controller
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(4098:19545:4116:6405) pci, radeon, VIDEO, Radeon Mobility M6 LY
:(32902:9348:4116:1313) pci, uhci_hcd, USB, 82801CA/CAM USB Controller #2
:(32902:9346:4116:1313) pci, uhci_hcd, USB, 82801CA/CAM USB Controller #1
:(32902:6704:4116:1313) pci, agpgart-intel, HOST/PCI, 82845 845 [Brookdale] Chipset Host Bridge
:(32902:9351:4116:1313) pci, uhci_hcd, USB, 82801CA/CAM USB Controller #3
:(32902:4145:4116:1312) pci, e100, ETHERNET, 82801CAM (ICH3) PRO/100 VE (LOM) Ethernet Controller
:(32902:6705:0:0) pci, None, PCI/PCI, 82845 845 [Brookdale] Chipset AGP Bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 2433535 1464375 1342302 610800 501489 501489
:

var_log_messages:
:Jun 17 12:08:46 lea kernel: [  262.646410] lxpolkit[1067]: segfault at a ip 428933af sp bfcf7df0 error 4 in libc-2.15.90.so[4281c000+1b5000]
:Jun 17 12:08:47 lea abrt[1157]: Saved core dump of pid 1067 (/usr/libexec/lxpolkit) to /var/spool/abrt/ccpp-2012-06-17-12:08:46-1067 (9891840 bytes)
:Jun 17 12:45:49 lea kernel: [  385.041122] lxpolkit[1056]: segfault at a ip 428933af sp bfbf0000 error 4 in libc-2.15.90.so[4281c000+1b5000]
:Jun 17 12:45:50 lea abrt[1141]: Saved core dump of pid 1056 (/usr/libexec/lxpolkit) to /var/spool/abrt/ccpp-2012-06-17-12:45:49-1056 (9891840 bytes)

xsession_errors:
:(lxpolkit:1056): GLib-GIO-CRITICAL **: g_dbus_connection_register_object: assertion `G_IS_DBUS_CONNECTION (connection)' failed
:(lxpolkit:1056): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(lxpolkit:1056): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Comment 1 Micha Wali 2012-06-17 07:06:24 EDT
Created attachment 592414 [details]
File: backtrace
Comment 2 Micha Wali 2012-06-17 07:06:26 EDT
Created attachment 592415 [details]
File: maps
Comment 3 Micha Wali 2012-06-17 07:06:29 EDT
Created attachment 592416 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-04-03 10:17:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 12:12:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Christoph Wickert 2015-01-13 09:14:51 EST
This is the same problem as in bug 1114176. Please make sure to only run one polkit authentication dialog in your session.

I am about to change xdg/autostart/%{name}.desktop to only start lxpolkit in LXDE but no other desktop, then this should no longer happen.

*** This bug has been marked as a duplicate of bug 1114176 ***

Note You need to log in before you can comment on or make changes to this bug.